OracleAppJDBCDriver (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.oracleapp.OracleAppJDBCDriver interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.oracleapp
Interface OracleAppJDBCDriver

All Superinterfaces:
  ConfigurationItem, J2EEResource, JDBCDriver, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareResource

    public interface OracleAppJDBCDriver

extends JDBCDriver

OracleAppJDBCDriver

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.j2ee.JDBCDriver
`IBM_COPYRIGHT`

Method Summary
`OracleAppJ2EEApplication` | `getApplication()`
`int` | `getLoginTimeout()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getUrl()`
`java.lang.String` | `getUser()`
`java.lang.String` | `getXaRecoveryPassword()`
`java.lang.String` | `getXaRecoveryUsername()`
`boolean` | `hasApplication()`
`boolean` | `hasLoginTimeout()`
`boolean` | `hasPassword()`
`boolean` | `hasUrl()`
`boolean` | `hasUser()`
`boolean` | `hasXaRecoveryPassword()`
`boolean` | `hasXaRecoveryUsername()`
`void` | `setApplication(OracleAppJ2EEApplication application)`
`void` | `setLoginTimeout(int loginTimeout)`
`void` | `setPassword(java.lang.String password)`
`void` | `setUrl(java.lang.String url)`
`void` | `setUser(java.lang.String user)`
`void` | `setXaRecoveryPassword(java.lang.String xaRecoveryPassword)`
`void` | `setXaRecoveryUsername(java.lang.String xaRecoveryUsername)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.JDBCDriver
`getImplementationClass, hasImplementationClass, setImplementationClass`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEResource
`getDomain, getServer, hasDomain, hasServer, setDomain, setServer`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareResource
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getApplication

    OracleAppJ2EEApplication getApplication()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setApplication

    void setApplication(OracleAppJ2EEApplication application)

### hasApplication

    boolean hasApplication()

### getLoginTimeout

    int getLoginTimeout()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLoginTimeout

    void setLoginTimeout(int loginTimeout)

### hasLoginTimeout

    boolean hasLoginTimeout()

### getPassword

    java.lang.String getPassword()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPassword

    void setPassword(java.lang.String password)

### hasPassword

    boolean hasPassword()

### getUrl

    java.lang.String getUrl()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUrl

    void setUrl(java.lang.String url)

### hasUrl

    boolean hasUrl()

### getUser

    java.lang.String getUser()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUser

    void setUser(java.lang.String user)

### hasUser

    boolean hasUser()

### getXaRecoveryPassword

    java.lang.String getXaRecoveryPassword()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setXaRecoveryPassword

    void setXaRecoveryPassword(java.lang.String xaRecoveryPassword)

### hasXaRecoveryPassword

    boolean hasXaRecoveryPassword()

### getXaRecoveryUsername

    java.lang.String getXaRecoveryUsername()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setXaRecoveryUsername

    void setXaRecoveryUsername(java.lang.String xaRecoveryUsername)

### hasXaRecoveryUsername

    boolean hasXaRecoveryUsername()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD